
#include <stdint.h> 

//! This is my little calculator.
class BigCalculator
{
public:
    uint32_t doubleIt( const uint16_t );
    uint32_t tripleIt( uint16_t const );
};

//! Doxygen has problems with const before integer type.
//! \param doubleItParam This is the non-working parameter.
uint32_t 
BigCalculator::doubleIt( const uint16_t doubleItParam )  
{
    return 2*doubleItParam;
}

//! Doxygen worked fine with const after integer type.
//! \param tribleItParam This is the working parameter.
uint32_t 
BigCalculator::tripleIt( uint16_t const tribleItParam )  
{
    return 3*tribleItParam;
}
